#
#     This file is part of the Squashtest platform.
#     Copyright (C) 2010 Henix, henix.fr
#
#     See the NOTICE file distributed with this work for additional
#     information regarding copyright ownership.
#
#     This is free software: you can redistribute it and/or modify
#     it under the terms of the GNU Lesser General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
#
#     this software is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU Lesser General Public License for more details.
#
#     You should have received a copy of the GNU Lesser General Public License
#     along with this software.  If not, see <http://www.gnu.org/licenses/>.
#

include:
    - project: 'henixdevelopment/squash/squash-tm/ci-common/java-ci'
      ref: mvn3.9-jdk17
      file: 'gitlab-ci-java.yml'
variables:
    BUILD_PROFILE: ""
    RELEASE_PROFILE: ""
    ARTIFACT_VISIBILITY: "public"
    DISTRO_DIR: "target"
    DISTRO_DEPLOY_PATH: "tm/plugin/report/qualitativecoverage"

    # Mirror to open sources variables
    MIRROR_TO_PUBLIC_ON_RELEASE: "true"
    PROJECT_FULL_PATH_RECEIVER: "henixdevelopment/open-source/squash/squash-tm-report-qualitativecoverage"
